gnome-shell-extension-autohidetopbar (1:124-1) unstable; urgency=medium

  * New upstream release. 
    - This version supports GNOME Shell 50. (Closes: #1132279)
  * Bump copyright years.

 -- Tobias Frost <tobi@debian.org>  Sun, 07 Jun 2026 09:18:27 +0200

gnome-shell-extension-autohidetopbar (1:123-1) unstable; urgency=medium

  * New upstream release.
    - This version supports GNOME Shell 49. (Closes: #1115507)
  * Automatically update supported GNOME Shell versions by parsing
    metadata.json. Thanks to Jeremey for providing the patch. 
  * Bump SV from 4.7.0 to 4.7.2 - no changes required.

 -- Tobias Frost <tobi@debian.org>  Sun, 12 Oct 2025 17:17:58 +0200

gnome-shell-extension-autohidetopbar (1:120-1) unstable; urgency=medium

  * New upstream release. 
  * Drop patch for GNOME Shell 48, applied upstream. 

 -- Tobias Frost <tobi@debian.org>  Sun, 30 Mar 2025 09:50:21 +0200

gnome-shell-extension-autohidetopbar (1:118-2) unstable; urgency=medium

  * Declare compatibility with GNOME Shell 48. (Closes: #1096039)

 -- Tobias Frost <tobi@debian.org>  Tue, 25 Feb 2025 22:28:34 +0100

gnome-shell-extension-autohidetopbar (1:118-1) unstable; urgency=medium

  * New upstream release.
  * Update d/watch to support API changed in gitlab.
  * Update d/copyright year.
  * Drop patches, applied upstream.

 -- Tobias Frost <tobi@debian.org>  Wed, 01 Jan 2025 15:50:19 +0100

gnome-shell-extension-autohidetopbar (1:117-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079239)
  * Bump maximum GNOME Shell to 47

 -- Tobias Frost <tobi@debian.org>  Sat, 14 Sep 2024 10:45:01 +0200

gnome-shell-extension-autohidetopbar (1:117-1) unstable; urgency=medium

  * New upstream release, ready for GNOME 46 (Closes: #1052089).
    - Update upper version constraint in d/control accordingly.
  * Fix d/watch, needed due to gitlab changes.

 -- Tobias Frost <tobi@debian.org>  Sat, 13 Jul 2024 14:30:40 +0200

gnome-shell-extension-autohidetopbar (1:116-1) experimental; urgency=medium

  * New upstream release. (Closes: #1052089).
    - This release only supports GNOME Shell 45, so tighten Depends
      accordingly.
  * Target experimental until GNOME-Shell 45 is ready.
  * Update S-V to 4.7.0 - no changes required.
  * Update d/copyright years.
  * Fix FTBFS after successful build" by storing the locale directory before
    build and restoring it on clean. (Closes: #1044151)

 -- Tobias Frost <tobi@debian.org>  Mon, 15 Apr 2024 20:01:36 +0200

gnome-shell-extension-autohidetopbar (1:114-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Frost <tobi@debian.org>  Sat, 24 Jun 2023 08:34:36 +0200

gnome-shell-extension-autohidetopbar (1:111-1) unstable; urgency=medium

  * New upstream version.

 -- Tobias Frost <tobi@debian.org>  Mon, 26 Dec 2022 17:24:08 +0100

gnome-shell-extension-autohidetopbar (1:109-1) unstable; urgency=medium

  * New upstream release.
  * Drop Gnome 43 patch, applied upstream.

 -- Tobias Frost <tobi@debian.org>  Mon, 26 Sep 2022 14:50:30 +0200

gnome-shell-extension-autohidetopbar (1:108-1) unstable; urgency=medium

  * New upstream release.
  * Upstream repository has been moved to the maintainers namespace,
    adopting all references to the new place.
  * Janitor: Set upstream metadata fields: Repository, Repository-Browse.
  * Bump S-V to 4.6.1 -- no changes required.
  * Speculaltively allow GNOME 43.

 -- Tobias Frost <tobi@debian.org>  Wed, 17 Aug 2022 14:33:49 +0200

gnome-shell-extension-autohidetopbar (1:107-1) unstable; urgency=medium

  * New upstream release. (Closes: #1008537)
  * d/control: Update Depends: on gnome-shell to include version 42.
  * Package version is now matching the version on extensions.gnome.org,
    therefore an epoch has been introduced.
  * Updating d/watch to follow upstream tags (matching the version on
    extension.gnome.org as well)
  * Update d/copyright.

 -- Tobias Frost <tobi@debian.org>  Tue, 29 Mar 2022 19:01:31 +0200

gnome-shell-extension-autohidetopbar (20211109-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Update d/copyright.
  * Tighten depndency on gnome-shell. Thanks to smvc for the suggestion.

 -- Tobias Frost <tobi@debian.org>  Wed, 10 Nov 2021 16:58:14 +0100

gnome-shell-extension-autohidetopbar (20211001-1) unstable; urgency=medium

  * New upstream git snapshot.
    - This version declares compatibility with GNOME 41. (Closes: #996046)
  * Install the file Settings-40.ui for GNOME 40 compatibility. Thanks to Tomas
    for the triaging and bug report (Closes: #995756).

 -- Tobias Frost <tobi@debian.org>  Fri, 15 Oct 2021 17:57:27 +0200

gnome-shell-extension-autohidetopbar (20210525-2) unstable; urgency=medium

  * Recommend gnome-extensions-app instead of gnome-tweaks,
    as the former app replaces the later in recent Gnome.
    Thanks to Simon McVittie for providing the patch (Closes: #994122)
  * Bump SV to 4.6.0 -- no changes required.

 -- Tobias Frost <tobi@debian.org>  Tue, 14 Sep 2021 10:12:32 +0200

gnome-shell-extension-autohidetopbar (20210525-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Declares compatibility with GNOME 40 (Closes: #993183)
    - Requires new B-D on intltool
    - Override for dh_auto_build is no longer needed.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Sep 2021 11:54:14 +0200

gnome-shell-extension-autohidetopbar (20210104-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump S-V to 4.5.1 -- no changes required.
  * Bump year in d/copyright.

 -- Tobias Frost <tobi@debian.org>  Tue, 02 Feb 2021 16:55:47 +0100

gnome-shell-extension-autohidetopbar (20201011-1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Tobias Frost <tobi@debian.org>  Fri, 23 Oct 2020 21:33:22 +0200

gnome-shell-extension-autohidetopbar (20201005-1) unstable; urgency=medium

  * New upstream git snapshot that should work with Gnome 3.38.
    (Closes: #971671, #971635)

 -- Tobias Frost <tobi@debian.org>  Mon, 05 Oct 2020 16:22:00 +0200

gnome-shell-extension-autohidetopbar (20200921-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Drop fix_pt_BR_translation.patch, applied upstream.
  * Drop d/clean, upstream Makefile now cleans up properly.
  * Cleanup d/rules, upstream Makefile does now compile the locales by itself.

 -- Tobias Frost <tobi@debian.org>  Tue, 22 Sep 2020 12:31:57 +0200

gnome-shell-extension-autohidetopbar (20200628-2) unstable; urgency=medium

  * Rebuild pot file during build to fix several translations.
  * d/rules: Fix some inconsitent space/tab usage.
  * Add patch to fix filename of the pt_BR translation.

 -- Tobias Frost <tobi@debian.org>  Mon, 21 Sep 2020 09:35:57 +0200

gnome-shell-extension-autohidetopbar (20200628-1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Tobias Frost <tobi@debian.org>  Tue, 25 Aug 2020 12:13:57 +0200

gnome-shell-extension-autohidetopbar (20200627-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Try to mark this Ubuntu Bug as closed. (LP: #1764111). (No idea if that
    works, but SSO on launchpad.net is broken for me). The actual fix for this
    issue was part of 20180908-2.
  * Bump dependency version on gnome-shell, upstream says it requires
    3.32 or newer.
  * Add upstream repo to metadata.

 -- Tobias Frost <tobi@debian.org>  Sat, 27 Jun 2020 14:19:33 +0200

gnome-shell-extension-autohidetopbar (20200518-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Set upstream metadata fields: Bug-Database, Bug-Submit. (via Janitor)
  * Bump compat level to 13.

 -- Tobias Frost <tobi@debian.org>  Wed, 20 May 2020 12:53:02 +0200

gnome-shell-extension-autohidetopbar (20200322-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump S-V to 4.5.0, no changes.
  * Enable Salsa-CI.

 -- Tobias Frost <tobi@debian.org>  Wed, 08 Apr 2020 17:50:47 +0200

gnome-shell-extension-autohidetopbar (20190913-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Drop d/compat in favour of BD'ing on debhelper-compat.
  * Bump S-V, no changes required.

 -- Tobias Frost <tobi@debian.org>  Sun, 27 Oct 2019 18:05:57 +0100

gnome-shell-extension-autohidetopbar (20180908-2) unstable; urgency=medium

  * Recommend gnome-tweaks instead of gnome-tweak-tool. (Closes:
    #917783) (LP: #1764111).

 -- Tobias Frost <tobi@debian.org>  Sun, 30 Dec 2018 12:14:50 +0100

gnome-shell-extension-autohidetopbar (20180908-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Remove patch Adapt-to-removal-of-MetaScreen-in-mutter-3.29.x,
    applied upstream
  * Bump SV to 4.3.0 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Sat, 29 Dec 2018 23:40:17 +0100

gnome-shell-extension-autohidetopbar (20180511-2) unstable; urgency=medium

  * d/p/Adapt-to-removal-of-MetaScreen-in-mutter-3.29.x.patch:
    If running under GNOME Shell 3.29.x, use display, layout manager or
    workspace manager (as appropriate) to replace uses of MetaScreen,
    which was removed in mutter 3.29.x. Thanks for Simon McVittie for the
    patch (Closes: #905111).
  * Bump S-V to 4.2.0, add Rules-Requires-Root: no to d/control

 -- Tobias Frost <tobi@debian.org>  Sat, 11 Aug 2018 17:50:00 +0200

gnome-shell-extension-autohidetopbar (20180511-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump SV to 4.1.5 -- no changes

 -- Tobias Frost <tobi@debian.org>  Fri, 27 Jul 2018 22:27:36 +0800

gnome-shell-extension-autohidetopbar (20171126-2) unstable; urgency=medium

  * Move repository to salsa.debian.org.
  * Add watch file to monitor git repository.
    - remove lintian override about missing watch file.
    - remove get-orig-source target from d/rules.
  * Bump d/compat to level 11.
  * Bump S-V to 4.1.4 -- no further changes required.
  * Update d/copyright: Year and use https for the spec.

 -- Tobias Frost <tobi@debian.org>  Sun, 08 Apr 2018 02:01:24 +0200

gnome-shell-extension-autohidetopbar (20171126-1) unstable; urgency=medium

  * New upstream git snapshot. (Closes: #885417)
  * Bump SV to 4.1.2 -- no changes required.
  * Bump compatibility level to 11
  * Do not use dpkg-parsechangelogs to determine version for get-orig-source.

 -- Tobias Frost <tobi@debian.org>  Thu, 28 Dec 2017 18:31:04 +0100

gnome-shell-extension-autohidetopbar (20170728-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Bump SV to 4.1.1 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Thu, 26 Oct 2017 08:21:26 +0200

gnome-shell-extension-autohidetopbar (20170507-1) unstable; urgency=medium

  * New upstream git snapshot.
  * d/copyright: Update copyright years
  * Bump S-V to 4.0.0 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Mon, 03 Jul 2017 22:23:33 +0200

gnome-shell-extension-autohidetopbar (20161203-1) unstable; urgency=medium

  * New upstream git snaphost.
  * Bump minimum gnome-shell version to 3.18
  * Bump d/compat to level 10
  * Replace dh_clean override with a plain d/clean file

 -- Tobias Frost <tobi@debian.org>  Sun, 11 Dec 2016 13:49:27 +0100

gnome-shell-extension-autohidetopbar (20160828-2) unstable; urgency=medium

  * d/control: Relax upper version limit on gnome-shell. (Closes: #837594)
    As the next Gnome version will by default not enforce the version via
    metadata.json, a change in this file is not required. See the bug for
    details.

 -- Tobias Frost <tobi@debian.org>  Wed, 14 Sep 2016 08:05:15 +0200

gnome-shell-extension-autohidetopbar (20160828-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Update Gnome compatibility, as upstream dropped support for Gnome < 3.16.

 -- Tobias Frost <tobi@debian.org>  Sun, 11 Sep 2016 12:52:19 +0200

gnome-shell-extension-autohidetopbar (20160413-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Supports Gnome 3.20
  * Update years in d/copyright
  * Bump SV to 3.9.8 -- no changes required
  * Changge Vcs-* fields to https://

 -- Tobias Frost <tobi@debian.org>  Tue, 26 Apr 2016 21:27:54 +0200

gnome-shell-extension-autohidetopbar (20151103-1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Tobias Frost <tobi@debian.org>  Tue, 03 Nov 2015 19:08:04 +0100

gnome-shell-extension-autohidetopbar (20151021-1) unstable; urgency=medium

  * New upstream git snapshot. (Closes: #802506)
  * Update dependencies: Supports now Gnome 3.18

 -- Tobias Frost <tobi@debian.org>  Wed, 21 Oct 2015 22:10:43 +0200

gnome-shell-extension-autohidetopbar (20150911-1) unstable; urgency=medium

  * New upstream git snapshot

 -- Tobias Frost <tobi@debian.org>  Sun, 13 Sep 2015 18:06:28 +0200

gnome-shell-extension-autohidetopbar (20150613-2) unstable; urgency=medium

  * Add zip to B-D.

 -- Tobias Frost <tobi@debian.org>  Mon, 15 Jun 2015 13:03:52 +0200

gnome-shell-extension-autohidetopbar (20150613-1) unstable; urgency=medium

  * New upstream git snapshot
  * Update years in d/copyright
  * Supports also GNOME 3.16 now
  * Upstream now supplies a Makefile -- cleaning up d/rules

 -- Tobias Frost <tobi@debian.org>  Sun, 14 Jun 2015 11:28:54 +0200

gnome-shell-extension-autohidetopbar (20141025-2) unstable; urgency=medium

  * Remove d/gbp.conf -- now using a standard layout. As the old one would
    be quite misleding, reuploading this change.

 -- Tobias Frost <tobi@debian.org>  Sat, 25 Oct 2014 12:49:15 +0200

gnome-shell-extension-autohidetopbar (20141025-1) unstable; urgency=medium

  * New upstream git snapshot
  * Add missing file to d/copyright
  * Move repository to collab-maint

 -- Tobias Frost <tobi@debian.org>  Sat, 25 Oct 2014 12:28:49 +0200

gnome-shell-extension-autohidetopbar (20141004-2) unstable; urgency=medium

  * Use GNOME in description, not gnome

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Oct 2014 15:38:25 +0200

gnome-shell-extension-autohidetopbar (20141004-1) unstable; urgency=medium

  * New upstream git snapshot
  * This version is compatible with gnome-shell up to 3.14
  * Bump S-V to 3.9.6 -- no changes
  * Remove all patches as applied upstream
  * Change d/copyright to my debian address
  * Update years in d/copyright

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Oct 2014 15:32:06 +0200

gnome-shell-extension-autohidetopbar (20140802-1) unstable; urgency=medium

  * New upstream git snapshot
  * Do not install README.md
  * New patch: Update translation template and German translation

 -- Tobias Frost <tobi@debian.org>  Sat, 02 Aug 2014 11:15:18 +0200

gnome-shell-extension-autohidetopbar (20140304-1) unstable; urgency=medium

  * New upstream git snapshot

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 16 Mar 2014 10:55:34 +0100

gnome-shell-extension-autohidetopbar (20140131-1) unstable; urgency=medium

  * New upstream git snapshot
  * Remove translation patch, applied upstream
  * Whitespace-cleanup of debian/*
  * Fix d/rules get-orig-source to retrieve not trunk but the packaged version
    by default

 -- Tobias Frost <tobi@coldtobi.de>  Fri, 28 Feb 2014 18:58:32 +0100

gnome-shell-extension-autohidetopbar (20140113-1) unstable; urgency=low

  * Initial release (Closes: #735222)

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 18 Jan 2014 17:07:07 +0100
